aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbin/pacman-offline5
1 files changed, 5 insertions, 0 deletions
diff --git a/bin/pacman-offline b/bin/pacman-offline
index ae657fb..fbb9526 100755
--- a/bin/pacman-offline
+++ b/bin/pacman-offline
@@ -33,6 +33,11 @@ while getopts 'cfhrty' opt; do
esac
done
+if [ "${UID}" -ne 0 ]; then
+ echo "You need elevated privileges. Please run as user 'root'!" >&2
+ exit 1
+fi
+
OPTIND=1
while getopts 'cfhrty' opt; do
case ${opt} in